Subject: Re: xmon & SCSI ATA devices

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 30 Dec 2009 08:21:25 +1100

On Tue, 2009-12-29 at 23:09 -0500, gshan wrote:

> Actually, the situation I described above has caused lots of disk issue.
> The DPT (disk partition table) might be lost because of this. I think it's
> broken the rule: xmon is assisting to resolve kernel issue, not cause
> more.

Well, mostly xmon kicks in when you already oopsed or crashed so .. :-)

As I said, getting into the SCSI stack or similar would make the whole
thing extremely fragile. But you may want to hack something for
yourself, feel free to do so.

Cheers,
Ben.